:root {
    --breakpoint-xxl: 1440px;
    --breakpoint-xl: 1280px;
    --breakpoint-l: 768px;
    --breakpoint-m: 600px;
    --breakpoint-s: 480px;
    --breakpoint-xs: 320px;
}


@font-face {
    font-family: 'Version1InternationalLight';
    src: url('./fonts/version-1-international-light/Volcano-Version1IntLight.otf');
}

@font-face {
    font-family: 'Colaborate';
    src: url('./fonts/Colaborate/ColabBol.otf');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Colaborate';
    src: url('./fonts/Colaborate/ColabLig.otf');
    font-weight: light;
    font-style: normal;
}

@font-face {
    font-family: 'Colaborate';
    src: url('./fonts/Colaborate/ColabMed.otf');
    font-weight: medium;
    font-style: normal;
}

@font-face {
    font-family: 'Colaborate';
    src: url('./fonts/Colaborate/ColabReg.otf');
    font-weight: 'regular';
    font-style: normal;
}

@font-face {
    font-family: 'Colaborate';
    src: url('./fonts/Colaborate/ColabThi.otf');
    font-weight: 'thin';
    font-style: normal;
}


*,
body {
    margin: 0;
}

.hero {
    margin: 1rem;
}

.hero,
.hero .header {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    color: white;

}

.header {
    font-size: 4rem;
}

/* element styling */
a {
    text-decoration: none;
    color: inherit;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Version1InternationalLight';
    text-transform: uppercase;
}

p,
span,
button,
.btn {
    font-family: 'Colaborate';
}


/* layout */

.background {
    background: linear-gradient(90deg, rgb(0, 70, 150) 0%, rgb(11, 92, 168) 35%, rgb(31, 100, 150) 100%);
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    position: absolute;
}

.centerPage {
    align-content: center;
    height: 100%;
}

.centerPageLayout {
    display: grid;
    grid-template-rows: 1fr 1fr 1fr;
}

.container {
    height: 100vh;
    width: 100%;
    margin: 0 auto;
    position: relative;
}

.docLinkContainer {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    text-align: center;
    background-color: rgba(255, 255, 255, 0.15);
    border-radius: 0.5rem;
    padding: 1rem 0.5rem 1rem 0.5rem;

}

.docLinkContainer *,
.docLinkContainer {
    transition: all ease-in-out 0.2s;
}

.docLinkContainer .docLinkTitle{
    color: white;
}

.docLinkContainer:hover .docLinkTitle {
    color: black;
}

.docLinkContainer:hover  {
    background-color: rgba(255, 255, 255, 0.5);
}

.docLinkContainer:hover span {
    opacity: 1;
}

.docLink {
    text-decoration: none;
}

.docLinkContainer img {
    width: 80px;
}

.docLinkContainer span {
    opacity: 0;
}


.docsList {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    column-gap: 1rem;
    row-gap: 1rem;
    height: fit-content;
}

.docsList>div {
    /* border: 2px solid orange; */
}

.ctas {
    margin: 2rem 0rem;
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
}

/* buttons */


.btn-doc {}

.btn {
    font-size: 1.25rem;
    min-height: 48px;
    align-items: center;
    text-align: center;
    display: inline-flex;
    flex-wrap: nowrap;
    border-radius: 8rem;
    border: none;
    padding: 0.25rem 1.25rem;
    transition: all ease-in-out 0.2s;
}

.btn-primary {
    background-color: white;
}

.btn-primary:hover {
    background-color: hsl(0, 0%, 80%);
}

.btn-ghost {
    color: white;
    background-color: rgba(255, 255, 255, 0);
}

.btn-ghost:hover {
    color: black;
    background-color: rgba(255, 255, 255, 1);
}


/* breakpoints */

@media (width >=600px) {
    .container {
        width: 560px;
    }

    .docsList {
        grid-template-columns: 1fr;
    }

}

@media (width >=768px) {
    .container {
        width: 720px;
    }

    .docsList {
        grid-template-columns: 1fr 1fr;
    }
}

@media (width >=1280px) {
    .container {
        width: 1000px;
    }
}

@media (width >=1440px) {
    .container {
        width: 1200px;
    }

    .docsList {
        grid-template-columns: 1fr 1fr 1fr;
    }
}